Track and Wheelbase Dimensions API Documentation
Welcome to Vehicle Databases API's Documentation
Track and Wheelbase Dimensions
GETJSON Response
Overview
API provides comprehensive and accurate data track and wheelbase dimensions by VIN. The API returns detailed information such as track width and wheelbase length.
COVERAGE
US and Canada regions from 1981 to 2027
SUPPORT
Works for 17 characters VINs
HTTP Request
Endpoint
GET https://api.vehicledatabases.com/dimensions/{vin}Example — Python / Requests
Target:
Client:
import requests
response = requests.get(
"https://api.vehicledatabases.com/dimensions/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
| Parameter | Required | Description |
|---|---|---|
| vin | ✓ | 17 characters VIN number |
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Response Fields
| Parameter | Description |
|---|---|
| status | "success" or "error" |
| data | An object containing all data available. |
Example Response
{
"status": "success",
"vin":"1FTER4EH0LLA81201",
"data": {
"year": "2020",
"make": "Ford",
"model": "Ranger",
"trim": "Lariat 4x2 SuperCrew 5 ft. box 126.8 in. WB Automatic",
"data": {
"track_width_front_in": 66.44,
"track_width_rear_in": 66.35,
"wheelbase_in": 126.81
}
}
}Error Responses
error
statusWhen an error occurs, the API returns an error status with a code and message.
| Code | Description | Resolution |
|---|---|---|
| 400 | Record(s) were not found for this vehicle. | Verify the VIN or YMMT is correct. |
| 401 | Invalid API Key | Check your API key for correctness and ensure it is properly formatted. |
| 403 | Rate limit exceeded | You have exceeded the number of allowed requests in a given time period. Please wait and try again. |
| 422 | Validation error | One or more parameters are invalid. Check the request parameters for correctness. |
| 500 | Internal server error | An unexpected error occurred on the server. Please try again later or contact support. |